#
# spec file for package dyde (Version 0.0.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp klibs ksupp libgpp libjpeg libpng libtiff qtdevel qtlib xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd klibs ksupp less libgpp libjpeg libpng libtiff libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qtcompat qtdevel qtlib rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         dyde
Version:      0.0.1
Release:      268
Summary:      SuSE Desktop. A WindowManagerManager
Copyright:   GPL adrian@suse.de 
Group:       X11/Window Managers
Provides:    dyde
Autoreqprov: on
Source:  dyde-0.0.1.tar.gz

%description
A small tool to change the windowmanager during your session. Please
define WINDOWMANAGER="dyde" or select "SuSE" at login to use it

Authors:
--------
    adrian@suse.de

SuSE series: xwm

%prep
%setup -n dyde
%{suse_update_config -f}

%build
TEST=`grep ^VERSION /etc/SuSE-release | cut "-d " -f 3`
MAJOR=`echo $TEST | cut -d. -f 1`
MINOR=`echo $TEST | cut -d. -f 2 | sed -e "s@[^0-9]@@g"`
VERSION=$(( ${MAJOR}*100 + ${MINOR} ))
if [ "$VERSION" -gt 702 ]; then
 export QTDIR=/usr/lib/qt
 export KDEDIR=/opt/kde
fi
./configure
make

%install
DOCDIR=/usr/doc/packages/
DOC=""
make install
ln -s /opt/kde/bin/dyde /usr/X11R6/bin/DyDe

%files
/opt/kde/bin/dyde
/usr/X11R6/bin/DyDe

%changelog -n dyde
* Fri Aug 24 2001 - ro@suse.de
- added old KDEDIR and QTDIR to build with 7.3 environment
* Fri May 04 2001 - adrian@suse.de
- remove kbase from #neededforbuild
* Thu Nov 30 2000 - aj@suse.de
- Add suse_update_config and fix groups tag.
* Sat Oct 28 2000 - kukuk@suse.de
- Fix needed for build
* Mon Jul 10 2000 - adrian@suse.de
- changes SuSE entry to DyDe
* Thu Feb 24 2000 - adrian@suse.de
- version 0.0.1 --- the initial release of SuSE Dynamic Desktop
